@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@300;400;500&family=Oswald:wght@300;400;500;600;700&display=swap');

@font-face {
    font-family: 'Oswald';
}

@font-face {
    font-family: 'Noto Sans Thai';
    unicode-range: U+0E00–U+0E7F;
}

html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html {
  position: relative;
  min-height: 100%;
}

body {
  font-family: 'Oswald', 'Noto Sans Thai';
  font-size: 14px;
  font-weight: 300;
  line-height: normal;
}

html, body {
    overflow-x: hidden;
}

.wrapper {
    position: relative;
    min-height: 82vh;
}

a {
    cursor: pointer;
}

a label {
    cursor: pointer;
}

.card-login {
    max-width: 490px;
}

.text-brand {
    color: #0B1BA2 !important;
}

.text-gold {
    color: #CFAD7E!important;
}

.text-gray {
    color: #A1A1A1!important
}

.text-gray2 {
    color: #666!important;
}

.text-wrap {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
}

.text-wrap2 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}

.text-wrap3 {
    overflow: hidden;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
}

.form-control {
    border: 1px solid #B9B9B9;
    padding-top: 8.5px;
    padding-bottom: 8.5px;
}

.form-control:focus {
    border-color: #0B1BA2 !important;
    box-shadow: 0 0 0 0.25rem rgb(11 27 162 / 25%);
}

.btn-style {
    font-size: 14px;
    line-height: normal;
    padding: 2.5px 0;
    box-shadow: none !important;
    transition: all 0.3s linear;
}

.btn-style.lg {
    height: 40px;
}

.btn-light-brand {
    border: 1px solid #0B1BA2;
    color: #0B1BA2 !important;
}

.btn-light-brand:hover {
    background-color: #0B1BA2;
    color: #FFFFFF !important;
}

.btn-brand {
    background-color: #0B1BA2;
    color: #FFFFFF !important;
}

.btn-brand:hover {
    background-color: #0B1BA2;
}

.btn-gold {
    background-color: #CFAD7E;
    color: #FFFFFF !important;
}

.btn-gold:hover {
    background-color: #754C29;
}

.btn-red {
    background-color: #CE0000;
    color: #FFF !important;
}

.btn-red:hover {
    background-color: #880808;
}

.btn-link:hover {
    text-decoration: none !important;
}

.btn-link.underline-0 {
    text-decoration: none !important;
    font-weight: 300;
}

.btn-link.underline-0:hover {
    text-decoration: underline!important;
}

.search-ic {
    display: block;
    background-image: url(../images/icon/search-blue.png);
    background-repeat: no-repeat;
    background-size: 20px;
    width: 20px;
    height: 20px;
}

.search-ic.blue {
     background-image: url(../images/icon/search-blue.png);
}

.search-ic.white {
    background-image: url(../images/icon/search-white.png);
}

.btn-search {
    width: 40px;
    height: 40px;
    border-radius: 0;
    position: relative;
}

.btn-search .search-ic {
    background-image: url(../images/icon/search-white.png);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.page-link {
    color: #CFAD7E !important;
    border: 1px solid #EDEDED;
}

.page-item.active .page-link {
    background-color: #0B1BA2;
    border-color: #0B1BA2;
    color: #FFFFFF !important;
    font-weight: 700;
}

.border.gold {
    border-color: #CFAD7E !important;
}

.border.brand {
    border-color: #0B1BA2 !important;
}

.border-top {
    border-top: 1px solid #FFF!important;
}

.border-top.gold {
    border-color: #CFAD7E!important;
}

.rounded-10px {
    border-radius: 10px!important;
}

.fw-medium {
    font-weight: 500 !important;
}

.fw-semibold {
    font-weight: 600 !important;
}

.font-12 {
    font-size: 12px !important;
}

.bg-brand {
    background: #0B1BA2;
}

.photo-thumb {
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    padding-bottom: 70%;
    transition: all 0.3s linear;
}

.photo-thumb .photo-parent {
    position: absolute;
    height: 100%;
    width: 100%;
}

.photo-thumb .photo {
    height: 100%;
    width: 100%;
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    display: block;
    transition: all 0.3s linear;
    background-color: #FFF;
    object-fit: contain;
}

.card .date-text:before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    background-image: url(../images/icon/calendar.png);
    background-repeat: no-repeat;
    background-size: 14px;
    width: 14px;
    height: 14px;
    margin-right: 10px;
    margin-bottom: 3px;
}

.card .card-title {
    line-height: 1.4;
    margin-bottom: 0;
}

.card-lg {
    border-width: 3px!important;
}

.card-lg .card-body {
    padding: 15px;
}

.card-news {
    text-decoration: none !important;
}

.card-news .card-title {
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.16px;
    color: #484848;
    transition: all 0.3s linear;
}

.card-news .card-text {
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0.673px;
    color: #A1A1A1;
}

.card-news .date-text:before {
    content: "";
    display: inline-block;
    vertical-align: middle;
    background-image: url(../images/icon/calendar.png);
    background-repeat: no-repeat;
    background-size: 14px;
    width: 14px;
    height: 14px;
    margin-right: 10px;
    margin-bottom: 3px;
}

.card-news.transparent {
    background-color: transparent;
    border: 0;
}

.card-news .photo-thumb {
     padding-bottom: 52.47%;
}

.card-news:hover .photo-thumb::before {
    content: "";
    background-image: url(../images/icon/search-white.png);
    background-repeat: no-repeat;
    background-size: 58px;
    width: 58px;
    height: 58px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    z-index: 1;
}

.card-news:hover .photo-thumb::after {
    content: "";
    background-color: rgba(11, 27, 162, 0.72);
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.card-news:hover .card-title {
    color: #0B1BA2;
}

.card-news .date-text {
    color: #A1A1A1;
}

.card-news.sm .date-text {
    font-size: 10px;
}

.card-news.sm date-text:before {
    background-size: 12px!important;
    width: 12px!important;
    height: 12px!important;
    margin-right: 8px;
}

.card-news.sm .card-title {
    font-size: 14px;
}

.card-news.sm .card-text {
    font-size: 12px;
}

.editor {
    font-size: 16px;
    word-break: break-word;
}

.editor h1,
.editor h2,
.editor h3,
.editor h4,
.editor h5,
.editor h6,
.editor p,
.editor ol,
.editor ul {
    margin-bottom: 0
}

.editor ul,
.editor ol {
    padding-left: 20px;
}

.editor img {
    display: block;
    max-width: 100%!important;
    height: auto!important;
}

.page-link {
    border: 0;
    background-color: transparent;
    outline: none !important;
    box-shadow: none !important;
    color: #484848 !important;
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 0.8px;
    padding: 0.375rem 1rem;
}

.page-item.active .page-link {
    background-color: transparent;
    border-color: none;
    color: #0B1BA2 !important;
}

.lSSlideOuter {
    margin-bottom: 20px;
}

.lSSlideOuter .lightSlider img {
    height: auto;
    max-width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    object-fit: cover;
    aspect-ratio: 16 / 9;
}

.lSSlideOuter .lSPager.lSGallery {
    margin-top: 8px!important;
}

.lSSlideOuter .lSPager.lSGallery li {
    padding: 3px;
}

.hero-slider .lSSlideWrapper {
    aspect-ratio: 16 / 9;
}

.hero-slider .lSSlideOuter .lSPager.lSpg {
    z-index: 10;
}

.social-group a img {
    transition: transform .2s
}

.social-group a:hover img {
    transform: scale(1.2);
}

.datepicker-dropdown {
    z-index: 1030!important;
}

@media (min-width: 768px) {
    .card-lg .card-body {
        padding: 30px 95px;
    }
    .lSSlideOuter {
        margin-bottom: 40px;
    }
    .hero-slider .lSSlideWrapper {
        aspect-ratio: 16 / 4.42;
    }
    .lSSlideOuter .lightSlider img {
        aspect-ratio: 16 / 4.42;
    }
}

@media (max-width: 1199px) {
    .wrapper {
        min-height: 100vh;
    }
}

.ratio-9x16 {
    --bs-aspect-ratio: calc(16 / 9 * 100%);
}

.video-vertical {
    position: relative;
    width: 100%;
    max-width: 360px; /* จำกัดความกว้างสูงสุด */
    margin: 0 auto;
    /* ใช้ aspect-ratio (รองรับบราวเซอร์สมัยใหม่) */
    /*        aspect-ratio: 9 / 16;*/
}










